# azure.mgmt.storage.v2019_04_01 package

## Submodules

- azure.mgmt.storage.v2019_04_01.models module
- azure.mgmt.storage.v2019_04_01.operations module

## Module contents

class `azure.mgmt.storage.v2019_04_01.``StorageManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  The Azure Storage Management API.

  Variables:

  - config (StorageManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.storage.v2019_04_01.operations.Operations) – Operations operations
  - skus (azure.mgmt.storage.v2019_04_01.operations.SkusOperations) – Skus operations
  - storage_accounts (azure.mgmt.storage.v2019_04_01.operations.StorageAccountsOperations) – StorageAccounts operations
  - usages (azure.mgmt.storage.v2019_04_01.operations.UsagesOperations) – Usages operations
  - management_policies (azure.mgmt.storage.v2019_04_01.operations.ManagementPoliciesOperations) – ManagementPolicies operations
  - blob_services (azure.mgmt.storage.v2019_04_01.operations.BlobServicesOperations) – BlobServices operations
  - blob_containers (azure.mgmt.storage.v2019_04_01.operations.BlobContainersOperations) – BlobContainers operations
  - file_services (azure.mgmt.storage.v2019_04_01.operations.FileServicesOperations) – FileServices operations
  - file_shares (azure.mgmt.storage.v2019_04_01.operations.FileSharesOperations) – FileShares operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL

class `azure.mgmt.storage.v2019_04_01.``StorageManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for StorageManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The ID of the target subscription.
  - base_url (str) – Service URL